#
# spec file for package eperl (Version 2.2.14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         eperl
Copyright:    (c) 1996,1997,1998 Ralf S. Engelschall <rse@engelschall.com>
Group:        Development/Libraries/Perl
Provides:     ePerl.so eperl 
Requires:     perl
Autoreqprov:  on
Version:      2.2.14
Release:      291
Summary:      Embedded Perl 5 Language
Source:       eperl-2.2.14.tar.bz2
Patch0:       eperl-2.2.14.dif
Patch1:       eperl.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
ePerl interprets an ASCII file bristled with Perl 5 program statements
by evaluating the Perl 5 code while passing through the plain ASCII data.
It can operate in various ways: As a stand-alone Unix filter or integrated
Perl 5 module for general file generation tasks and as a powerful Webserver
scripting language for dynamic HTML page programming.

Authors:
--------
    Ralf S. Engelschall <rse@engelschall.com>

SuSE series: d

%prep
%setup
%patch0
%patch1 -p 2

%build
export RPM_BUILD_ROOT
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--mandir=%{_mandir}/man1 --with-perl=/usr/bin/perl
make
cp Makefile Makefile.nph
make clean
perl Makefile.PL PREFIX=/usr
make
pod2html eperl.pod > eperl.html

%install
eval `perl -V:installarchlib`
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
make PREFIX=$RPM_BUILD_ROOT/usr install
[ -d $RPM_BUILD_ROOT/var/adm/perl-modules ] || \
  install -m 755 -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod \
   $RPM_BUILD_ROOT/var/adm/perl-modules/eperl
make -f Makefile.nph \
  mandir=$RPM_BUILD_ROOT/%{_mandir}/man1 \
  prefix=$RPM_BUILD_ROOT/usr install

%files
%doc ANNOUNCE ARTISTIC COPYING CREDITS
%doc ChangeLog ChangeLog.1x ChangeLog.20 ChangeLog.21
%doc INSTALL INSTALL.APACHE INSTALL.NSAPI
%doc KNOWN.BUGS NEWS PORTING PORTING.test
%doc README VERSIONS eperl.html
/usr/bin/eperl
/usr/lib/eperl
%{_mandir}/man1/eperl.1.gz
%{_mandir}/man3/Parse::ePerl.3pm.gz
%{_mandir}/man3/Apache::ePerl.3pm.gz
/usr/lib/perl5/site_perl/5.*/*-linux/Parse/ePerl.pm
/usr/lib/perl5/site_perl/5.*/*-linux/Apache/ePerl.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Parse/ePerl
/var/adm/perl-modules/eperl

%changelog -n eperl
* Mon Jun 18 2001 - schwab@suse.de
- Fix for new autoconf.
* Wed Mar 14 2001 - mt@suse.de
- added patch to fix possible buffer overflows
* Wed Nov 22 2000 - mt@suse.de
- added BuildRoot in specfile
* Thu Sep 21 2000 - ro@suse.de
- bzipped source
- applied patch for perl-5.6
* Mon Jan 24 2000 - ro@suse.de
- specfile fixed
* Fri Jan 21 2000 - ro@suse.de
- use macro for mandir
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - mt@suse.de
- new Version 2.2.14 (02-08-1998)
